Latest version 1.0.1 bug

This plugin keeps asking to update itself. It shows 1.0.1 installed in my dashboard.